# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['yab', 'yab.api', 'yab.backends', 'yab.middlewares']

package_data = \
{'': ['*']}

install_requires = \
['aiogram>=2.6.1,<3.0.0',
 'aioimport>=0.1.5,<0.2.0',
 'discord.py>=1.3.2,<2.0.0',
 'twitchio>=1.0.0,<2.0.0']

setup_kwargs = {
    'name': 'yab',
    'version': '0.1.0',
    'description': "YAB is for Yet Another Bot. It's a chat bot framework.",
    'long_description': "# YAB\n\nYAB is for Yet Another Bot. It's a chat bot framework.\n\n## State\n\nVery alpha, may be changed or abandoned at any time. Also test suite is lacking.\n\n## Features\n* Platform agnostic api: write once and use across multiple backends\n    * Currently supported:\n        * discord\n        * telegram\n        * twitch\n    * Number of supported backends is currently small because\n      the project is in early stages of development:\n      every change has te be retrofitted into existing backends\n    * May come some day:\n        * slack\n        * whatsapp\n        * mixer\n        * youtube\n        * and other:\n            * chat platforms\n            * messaging platforms\n            * streaming platforms\n* Middleware support\n    * yab.middleware.parser - parse commands from messages\n* Uses async/await with asyncio\n",
    'author': 'rndr',
    'author_email': 'rndr@users.noreply.github.com',
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://github.com/rndr/yab',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.8,<4.0',
}


setup(**setup_kwargs)
