import dataclasses
import typing


Channel = typing.TypeVar("Channel")
TextContent = str
Content = typing.Union[TextContent]


@dataclasses.dataclass(frozen=True)
class Message(typing.Generic[Channel]):
    content: Content
    channel: Channel
    env: typing.Dict = dataclasses.field(default_factory=dict)
