import yab.chat


class Decorators:
    callbacks: yab.chat.Callbacks

    def __init__(self, callbacks: yab.chat.Callbacks = yab.chat.Callbacks()) -> None:
        self.callbacks = callbacks

    def wrap_chat_ready(self, callback: yab.chat.ChatReadyCallback):
        self.callbacks.add_chat_ready_callback(callback)
        return callback

    def wrap_backend_ready_callback(
        self, callback: yab.chat.BackendReadyCallback
    ) -> yab.chat.BackendReadyCallback:
        self.callbacks.add_backend_ready_callback(callback)
        return callback

    def wrap_message_callback(
        self, callback: yab.chat.MessageCallback
    ) -> yab.chat.MessageCallback:
        self.callbacks.add_message_callback(callback)
        return callback
